
## LINX Example Results

- Results from a COLO829v003T sample.
- LINX version details: `v1.25` (build.date: `2024-01-08 02:06`)
- Plots have been shrinked more than 90% compared to the original copies
  to minimize package size.
  - Only a subset of those are included with this package.
  - For nicer looking example plots, please refer to the LINX
    documentation at
    <https://github.com/hartwigmedical/hmftools/tree/master/linx>.
- The `tables/COLO829v003T.linx.vis_fusion.tsv` file has a dummy row
  since the original was empty.

``` r
require(magick, include.only = "image_read")
require(fs, include.only = "dir_ls")

resize_plot <- function(x, outdir) {
  bname <- basename(x)
  magick::image_read(x) |>
    magick::image_resize("5%") |>
    magick::image_write(file.path(outdir, bname))
}

indir <- "plots_original"
outdir <- "plots"
indir |>
  fs::dir_ls(recurse = TRUE) |>
  purrr::map(resize_plot, outdir)
```
